classification
Title: test_popen fails if path contains special char like ";"
Type: behavior Stage: patch review
Components: Tests Versions: Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, brian.curtin, flox, ishimoto
Priority: normal Keywords: patch

Created on 2010-01-10 19:07 by flox, last changed 2019-03-16 00:07 by BreamoreBoy.

Files
File name Uploaded Description Edit
issue7671_test_popen.diff flox, 2010-01-10 20:27 Patch, apply to trunk
Messages (8)
msg97543 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-10 19:07
/tmp/semi;colon $ ./python -3 Lib/test/regrtest.py test_popen
test_popen
sh: /tmp/semi: Aucun fichier ou répertoire de ce type
sh: colon/python: Aucun fichier ou répertoire de ce type
test test_popen failed -- Traceback (most recent call last):
  File "/tmp/semi;colon/Lib/test/test_popen.py", line 31, in test_popen
    ["foo", "bar"]
  File "/tmp/semi;colon/Lib/test/test_popen.py", line 24, in _do_test_commandline
    got = eval(data)[1:] # strip off argv[0]
  File "<string>", line 0
    
   ^
SyntaxError: unexpected EOF while parsing

1 test failed:
    test_popen
msg97547 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-10 20:27
Patch attached.
msg97549 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-01-10 20:42
Fixed in r77420.
msg97582 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-11 08:23
With r77420, it fails when path contains backslash "\".

Using '"%s" -c "..."' it does not fail.
msg97703 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-13 09:51
It triggers some Windows buildbot failures.

http://www.python.org/dev/buildbot/all/builders/x86%20XP-4%20trunk/builds/2837
msg98624 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-01-31 18:02
These patches cause the Windows buildbot to fail.
msg98625 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-01-31 18:13
These patches cause the Windows buildbot to fail.
msg221882 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-29 19:03
Can this be closed as "out of date"?
History
Date User Action Args
2019-03-16 00:07:43BreamoreBoysetnosy: - BreamoreBoy
2014-06-29 19:03:06BreamoreBoysetnosy: + BreamoreBoy
messages: + msg221882
2012-07-30 15:19:35ishimotosetnosy: + ishimoto
2010-01-31 18:13:48benjamin.petersonsetpriority: normal

messages: + msg98625
2010-01-31 18:12:45brian.curtinsetnosy: + brian.curtin
2010-01-31 18:02:28benjamin.petersonsetmessages: + msg98624
2010-01-13 09:51:21floxsetmessages: + msg97703
2010-01-11 08:23:52floxsetstatus: closed -> open
resolution: fixed ->
messages: + msg97582
2010-01-10 20:42:53benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg97549

resolution: fixed
2010-01-10 20:27:03floxsetfiles: + issue7671_test_popen.diff
title: test_popen fails if path contains semi-colon ";" -> test_popen fails if path contains special char like ";"
messages: + msg97547

keywords: + patch
stage: patch review
2010-01-10 19:07:15floxcreate